Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade Ruby to 2.7.0 #1560

Closed
wants to merge 2 commits into from
Closed

Upgrade Ruby to 2.7.0 #1560

wants to merge 2 commits into from

Conversation

@issyl0
Copy link
Member

issyl0 commented Jan 10, 2020

Upgrade Ruby to 2.7.0, see commits for more details.

        https://trello.com/c/XoJF36Pn/1663-8-upgrade-to-ruby-27
@issyl0

This comment has been minimized.

Copy link
Member Author

issyl0 commented Jan 13, 2020

Closing. Sorry for the spam across all the apps!

It turns out that there's a key deprecation which is causing a load of errors in gems that we use. The gem authors (including Rails) are working hard to fix their software, but there's no point us using it until they've done that or we'll get a tonne of warnings (and turning them off is bad practice). Also, it's possible that Rails may only put their fixes into Rails 6 - and in most of the cases we're still running Rails 5.

Platform Health is going back to the drawing board on this one, because it may be that we want to upgrade every app to Rails 6 first.

@issyl0 issyl0 closed this Jan 13, 2020
@issyl0 issyl0 deleted the ruby-2-7-0 branch Jan 13, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.